config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

config etc/cups/cups-browsed.conf.new
config etc/fonts/conf.d/99pdftoopvp.conf.new
preserve_perms etc/rc.d/rc.cups-browsed.new

( cd usr/share/cups/charsets ; rm -rf pdf.utf-8 )
( cd usr/share/cups/charsets ; ln -sf pdf.utf-8.simple pdf.utf-8 )
( cd usr/lib64 ; rm -rf libfontembed.so )
( cd usr/lib64 ; ln -sf libfontembed.so.1.0.0 libfontembed.so )
( cd usr/lib64 ; rm -rf libcupsfilters.so )
( cd usr/lib64 ; ln -sf libcupsfilters.so.1.0.0 libcupsfilters.so )
( cd usr/lib64 ; rm -rf libcupsfilters.so.1 )
( cd usr/lib64 ; ln -sf libcupsfilters.so.1.0.0 libcupsfilters.so.1 )
( cd usr/lib64 ; rm -rf libfontembed.so.1 )
( cd usr/lib64 ; ln -sf libfontembed.so.1.0.0 libfontembed.so.1 )
